For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
      • PUTRestore Project
      • GETReopen Project Status
LogoLogo
SupportContact salesStart free trial
API ReferenceProject

Reopen Project Status

GET
https://api.projectmanager.com/api/data/projects/:projectId/reopen/status
GET
/api/data/projects/:projectId/reopen/status
$curl https://api.projectmanager.com/api/data/projects/projectId/reopen/status \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "hasCostChanges": true
15 }
16}
Check if a project is in a valid state so that it can be reopened without any side effects. For example, if Rates have changed for this project, reopening it will result is project costs being recalculated which will adjust costs. This endpoint will return what side effects may occur if it is reopened.
Was this page helpful?
Previous

Create Project Risk

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the project to check.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

Contains information about whether a locked (closed or deleted) project can be re-opened.